[Overview][Types][Classes][Index] | Reference for unit 'PropertyStorage' (#lcl)

# TStoredValues.Create

Constructor for the class instance.

## Declaration

Source position: propertystorage.pas line 77

`public constructor TStoredValues.Create(`
`AOwner: TPersistent`
`);`

## Arguments

`AOwner` |  | TCustomPropertyStorage instance which is the owner and the Storage container for the class.

## Description

Create is the constructor for the class instance, and calls the inherited constructor using AOwner as the owner for the class instance. When AOwner is derived from TCustomPropertyStorage, it is assigned as the value for the Storage property. TStoredValue is the class type used as the ItemClass for the collection.

## See also

TStoredValue |  | A key/value pair representing a property value, with added Save/Restore features.
TCustomPropertyStorage |  | Defines a container used to Save and Restore property values.
TOwnedCollection.Create
TCollection.ItemClass